variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_TLS_CERTDIR: ""
  image_tag: $CI_REGISTRY_IMAGE/charity_fit:$CI_PIPELINE_IID
  image_tag_latest: $CI_REGISTRY_IMAGE/charity_fit:latest

stages:
  - build
  - deploy

default:
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind


create-docker-image-job:
  tags:
    - dind
  only:
    - deploy
  stage: build
  before_script:
    - docker login -u "gitlab-ci-token" -p $personal_access_token $CI_REGISTRY
  script:
    - docker build -f Dockerfile -t $image_tag -t $image_tag_latest . 
    - docker push $image_tag && docker push $image_tag_latest


deploy-job:
  stage: deploy
  image: alpine:latest
  only:
    - deploy
  dependencies:
    - create-docker-image-job
  before_script:
    - apk add curl
  script:
    - curl --location --request POST "$portainer_callback_link" --header "Authorization:\ Bearer $portainer_access_token"
